Package org.apache.jmeter.util

# Class ShutdownClient

java.lang.Object
org.apache.jmeter.util.ShutdownClient

public class ShutdownClient extends Object
Simple utility to send a shutdown message to a non-GUI instance of JMeter

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `UDP_PORT_DEFAULT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShutdownClient()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `main(String[] args)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UDP_PORT_DEFAULT

    public static final int UDP_PORT_DEFAULT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ShutdownClient

    public ShutdownClient()

- ## Method Details

  - ### main

    public static void main(String[] args) throws IOException
    Throws:
      `IOException`